org.eclipse.ease.ui.help.hovers

## Interface IHoverContentProvider

    public interface IHoverContentProvider

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getContent(java.lang.Object origin, java.lang.Object detail)`
`void` `populateToolbar(org.eclipse.jface.internal.text.html.BrowserInformationControl control, ToolBarManager toolBarManager)` Callback allowing to populate the popup toolbar

### Method Detail

#### getContent

    java.lang.Object getContent(java.lang.Object origin,
                                java.lang.Object detail)

Parameters:
  `origin` - element that triggered the hover action
  `detail` - detail on the hover action. The content of this parameter depends on the type of the origin object. May be `null`.
Returns:
  html content as string or a `BrowserInformationControlInput`

#### populateToolbar

    void populateToolbar(org.eclipse.jface.internal.text.html.BrowserInformationControl control,
                         ToolBarManager toolBarManager)

Callback allowing to populate the popup toolbar

Parameters:
  `control` - browser control
  `toolBarManager` - toolbar being populated